#ifndef lint
static char sccsid[] = "@(#)lzw.c	1.2 2/19/89";
#endif

/*
 * Copyright (c) 1988 by Sam Leffler.
 * All rights reserved.
 *
 * This file is provided for unrestricted use provided that this
 * legend is included on all tape media and as a part of the
 * software program in whole or part.  Users may copy, modify or
 * distribute this file at will.
 */

#include <stdio.h>
#include "tiffio.h"

u_char buf[] = { 7, 7, 7, 8, 8, 7, 7, 6, 6 };

main(argc, argv)
	char *argv[];
{
	TIFF *out;
	int i, nrows = 1;

	if (argc > 1)
		nrows = atoi(argv[1]);
	out = TIFFOpen("lzw.tiff", "w");
	if (out == NULL)
		exit(-1);
	TIFFSetField(out, TIFFTAG_IMAGEWIDTH, sizeof (buf));
	TIFFSetField(out, TIFFTAG_IMAGELENGTH, nrows);
	TIFFSetField(out, TIFFTAG_BITSPERSAMPLE, 8);
	TIFFSetField(out, TIFFTAG_COMPRESSION, COMPRESSION_LZW);
	TIFFSetField(out, TIFFTAG_SAMPLESPERPIXEL, 1);
	TIFFSetField(out, TIFFTAG_ROWSPERSTRIP, 10);
	TIFFSetField(out, TIFFTAG_PLANARCONFIG, PLANARCONFIG_CONTIG);
	for (i = 0; i < nrows; i++)
		(void) TIFFWriteScanline(out, buf);
	(void) TIFFClose(out);
}
